// Verify that template references in extends clauses work
// correctly.
namespace test57
{
   /**
    * Base class.
    */
   class A
   {
   public:
      void a_fct1();
      void a_fct2();
   };
   
   /**
    * Template that derives from A.
    */
   template <class T>
   class B : public A
   {
   public:
      void b_fct1();
      void b_fct2();
   };
   
   /**
    *@@ Derives from B<int>.
    */
   class Test : public B<int>
   {
   public:
      void c_fct1();
      void c_fct2();
   };
}

